function R1=circular_variance(X)
%USAGE:R1=circular_variance(X)
%INPUT ARGUMENTS:
%	X : X is the data matrix with X(t,i)= value of pixel i at time t
%OUTPUT ARGUMENTS:
%	R1: R1(t) is a vector containing the circular at each point of time t
X_phase=hilbert(X);
I=imag(X_phase);
R=real(X_phase);
P=atan2(I,R);
[m,n]=size(P);

for i=1:m
    R1(i)=1-sqrt((sum(cos(P(i,:))))^2+(sum(sin(P(i,:))))^2)/n;
end
plot(R1)
